# Class: BlurAugmenter

## BlurAugmenter(opts)

Add blur to the image

## Constructor

#### new BlurAugmenter(opts)

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

Object | Number | Hasard

kernel size or explict options

###### Properties

Name | Type | Description
--- | --- | ---
`kernel` | ArrayXY | kernel size, ([x,y]) or n (for square kernel)

Source:
  - blur.js, line 21

##### Examples

    ia.blur(3);

    ia.blur(h.integer(0, 3));

    ia.blur({ kernel: h.integer(0, 3) });

    ia.blur({ kernel: 3 });